<?php
include('../common/parseargs.php');
include('../common/getObject.php');
$USAGE=" --policyID=<policyID> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$POLICYID=$args_array['policyID'];


if(!$POLICYID)
{
        echo "ERROR: --policyID=<policyID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$policyObj = getPolicies($USER,$PASS,$HOST,$PORT);

foreach($policyObj->return as $tmp)
{
	if($tmp->id == $POLICYID)
	{
		$policy = $tmp;
		break;
	}
}

try{

	$client = new soapclient("https://$HOST:$PORT/Policy?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->deletePolicy(array('policy'=>$policy));

	echo "Successfully executed deletePolicy\n";
	exit(0);
} 
catch (SoapFault $exception)
{
	echo $exception;
	echo(1);
}





?> 
